var point_markers = [];
var ap_ids = [];
var op_ids =[];
var focus_marker;
var image;
var monitor=0;
var maxzone=null;
var map=null;
var homeControlDiv = document.createElement('DIV');

var zone=0;
var maxzone=null;

var lats=[];
var lngs=[];
var zooms=[];

var InfoArray = [];
var InfoArray_openInfoWin_func = [];

$(window).load(function(){
setInterval("updateSystem()",60000);	
changeZone();
setInterval("roundUp()",300000);

		$( "#dialog" ).dialog({
			resizable: false,
			height:230,
			width:300,
			modal: true,
			autoOpen: false,
			buttons: {
				"log in": function() {
					$('#login_notify').html('Validating.....');
					validateUser();
					//$( this ).dialog( "close" );
				},
				cancel: function() {
					$('#login_notify').html('');
					$( this ).dialog( "close" );
				}
			}
		});
		
		
	$( "#tabs" ).tabs();
		$("#sfromDate").datepicker({
		minDate:'-90',
		maxDate:'+0',
		onSelect: function(dateText, inst) { scheckDate(); }
		});
		$("#stoDate").datepicker({
		minDate:'-90',
		maxDate:'+0',
		onSelect: function(dateText, inst) { scheckDate();}
		});
		$("#sfromDate").datepicker('option',{dateFormat:'d/m/yy'});
		$("#stoDate").datepicker('option',{dateFormat:'d/m/yy'});
		$( "#gen_summary" ).button({icons: {primary: "ui-icon-gear"}});
		
		
		$("#status_date").datepicker({
		minDate:'-90',
		maxDate:'+0',
		onSelect: function(dateText, inst) { genTable(); }
		});
		$("#status_date").datepicker('option',{dateFormat:'d/m/yy'});
		$( "#radio" ).buttonset();
		
	getTable();
	initialize();
	
});

function login(){
	element('dialog').innerHTML="<table><tr style='height:50px;'><td>username</td><td><input type='text' id='username' /><br></td></tr><tr style='heigh:30px;'><td>password</td><td><input type='password' id='password' onkeypress=\"if (event.keyCode == 13) validateUser()\"/></td></tr></table><span id='login_notify' style='color:red'></span>";
	$('#dialog').dialog('open');	
}

function getFirstLocation(){
	new ajax('','get_first_location.php',function(result){
												  eval(result);
												  
												  });
	
}


function validateUser(){
	var username = element('username').value;
//	var password = element('password').value;
	var password = CryptoJS.SHA1($('#password').val());
	new ajax('username='+username+'&password='+password,'validate_user.php',function(result){
							if(result=='yes'){
							$('#login_notify').html('OK.');
							document.location.href="./main.php";							
							$('#dialog').dialog('close');
							}
							else
							{
								$('#login_notify').html('Username or Password incorrect.');
								$('#username').focus();
							}
																					 });
	
}

function initialize(){
	createMap();
	getList();
	getDwList();
	getMtList();
	initSummary();
	initTable();
	
}

function updateSystem(){
	
	getDwList();
	getMtList();
	checkStat();
}

function createMap() {
		map = new google.maps.Map(
		document.getElementById("map_canvas"),{
			center: new google.maps.LatLng(18.80093685856388, 98.95261287689209),
			zoom: 16,
			mapTypeId : google.maps.MapTypeId.HYBRID
		}
	);
	setZone();
	homeControlDiv.index = 1;
    map.controls[google.maps.ControlPosition.RIGHT_BOTTOM].push(homeControlDiv);	
	getFirstLocation();
	setupPointMarker();
/*	
  if (!GBrowserIsCompatible()) {
    alert('Your browser is not compatible with the Google Maps API');
    return;
  }

      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById("map_canvas"));
        map.setCenter(new GLatLng(18.80093685856388, 98.95261287689209), 16);
		map.setMapType(G_HYBRID_MAP);
		map.addControl(new GLargeMapControl3D());
    	map.addControl(new GMapTypeControl());
		map.enableContinuousZoom();
		map.enableScrollWheelZoom();;
		setZone();
		getFirstLocation();
	  }
	  setupPointMarker();
*/
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////
function setupPointMarker(){
//	map.clearOverlays();
	new ajax('post=1','setup.php',function(result){eval(result);});


}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////
function addMarkerLayer(lat,lng,id,image,name) {	
	var location = new google.maps.LatLng(lat, lng)
    marker = new google.maps.Marker({
    	position: location,
    	draggable: false,
    	map: map,
    	icon: image,
    	title: name
    });

    
    var infoContent = 'Be Patiant.....';    
/*    
    infoContent = description + '<br>';
    infoContent += 'User : ' + authen + '/' + total + '<br>';    
    infoContent += 'Utilize : ' + status + '<br>';
    infoContent += '<a href="http://maps.google.com?zoom=17&daddr=' + location.lat() + ',' + location.lng() + '"><div role="button" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"><span class="ui-button-text">Open Map</span></div></a>';
   */ 
    var infowindow = new google.maps.InfoWindow({
        content: infoContent,
        position: location,
		disableAutoPan: false
    });
    
    window.InfoArray.push(infowindow);
	    
    google.maps.event.addListener(marker, 'click', function() {
        closeInfoWin(window.InfoArray);
        closeInfoWin(window.InfoArray_openInfoWin_func);
		new ajax('ap_id='+id,'fp_markerInfo.php',function(result){ 
		infowindow.setContent(result);
//													  eval(result);
													  });
        infowindow.open(map);
    });    

    window.point_markers.push(marker);
	window.ap_ids.push(id);
}

function closeInfoWin(infowin)
{
    for(i in infowin)
    {
        infowin[i].close();
    }
}

function createPoint(lat, lng,id,color) {

  var point_marker = createPointMarker(new google.maps.LatLng(lat, lng), false,color);
   GEvent.addListener(point_marker, "click", function() {
	getInfo(findMarkerIndex(point_marker));
	//alert(findMarkerIndex(point_marker));
/*	point_marker.openInfoWindowHtml('Click the (+) to maximize me!', {  
  		maxTitle: 'Maximized Title',  
  		maxContent: "<a onclick=''>hi</a>"  
		});  */
  });
  
  GEvent.addListener(point_marker, "mouseover", function() {
	element('fp_ap_lists').selectedIndex=findMarkerIndex(point_marker);
  });
/*  GEvent.addListener(point_marker, "mouseout", function() {
	document.getElementById('msg_header').innerHTML='';
  });*/
		
  		map.addOverlay(point_marker);

	ap_ids.push(id);
	point_markers.push(point_marker);
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
var ztxt;

/*
function LocationControl() {}


LocationControl.prototype = new GControl();

LocationControl.prototype.initialize = function(map) {

  var container = document.createElement("div");

 eval(ztxt);
  map.getContainer().appendChild(container);
  return container;
}

LocationControl.prototype.getDefaultPosition = function() {
  return new GControlPosition(G_ANCHOR_BOTTOM_RIGHT , new GSize(7, 7));
}

LocationControl.prototype.setButtonStyle_ = function(button) {
  //button.style.textDecoration = "underline";
  button.style.color = "#FFFFFF";
  button.style.backgroundColor = "#666666";
  button.style.font = "small Arial";
  button.style.border = "1px solid #000000";
  button.style.padding = "2px";
  button.style.marginBottom = "3px";
  button.style.textAlign = "center";
  button.style.width = "6em";
  button.style.cursor = "pointer";
}
*/

function setZone(){
	new ajax('','zone_render.php',function(result){
					eval(result);
//					ztxt = result;
//					map.addControl(new LocationControl());						   				   
					});

}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function ajax(data,url,callback){
	var ajaxs;		
		if(window.ActiveXObject){
			ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
		}
		else if(window.XMLHttpRequest){
			ajaxs = new XMLHttpRequest();
		}else{
			alert ("Your browser doesn't support Ajax");
		}
				ajaxs.open('POST',url,true);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
				ajaxs.onreadystatechange = function()
				{
					if(ajaxs.readyState == 4)
					{
						if(ajaxs.status == 200)
						{
								var result = ajaxs.responseText;
										return callback(result);	
						}
					}
				}
				ajaxs.send(data);
	
}

function element(x){
var e = document.getElementById(x);
return e;
	
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function createPointMarker(point, highlighted,color) {
  var point_marker = createMarker(point, color);
  return point_marker;
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
function createMarker(point, color) {
  var f = new GIcon();
  f.image = "./images/" + color
            + ".png";
  f.shadow = "./images/shadow.png";
  f.iconSize = new GSize(12,20);
  f.shadowSize = new GSize(22,20);
  f.iconAnchor = new GPoint(6,20);
  f.infoWindowAnchor = new GPoint(6,1);
  f.infoShadowAnchor = new GPoint(13,13);
  newMarker = new GMarker(point,{icon: f,draggable: false });	
  return newMarker;
}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function getInfo(index){

var ap_id = ap_ids[index];

var point_marker=point_markers[index];

var latlng=point_marker.getPosition();

autoSelect(index+1);

new ajax('ap_id='+ap_id,'fp_markerInfo.php',function(result){ 
	window.InfoArray[index].setContent(result);
//													  eval(result);
													  });
													  
closeInfoWin(window.InfoArray);
 window.InfoArray[index].open(map);
// map.openInfoWindowHtml(latlng,'loading...',{maxWidth: 900});
}

function autoSelect(index){
	var point_marker=point_markers[index];
	element('summary_ap_lists').selectedIndex=index;
	element('table_lists').selectedIndex=index;
	element('fp_ap_lists').selectedIndex=index-1;
	if(element('status_date').value!='')
		genTable();
	
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function findIdIndex(dap) {
  var index = -1;

  for (var  i = 0; i < ap_ids.length; ++i) {
    if (ap_ids[i] == dap) {
      index = i;
      break;
    }
  }

  return index;
}

function findMarkerIndex(point_marker) {
  var index = -1;

  for (var  i = 0; i < point_markers.length; ++i) {
    if (point_markers[i] == point_marker) {
      index = i;
      break;
    }
  }

  return index;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


function getGraph(ap_id,range){
	element('user_graph').src='render_graph.php?id='+ap_id+'&graph=user&range='+range;
	element('status_graph').src='render_graph.php?id='+ap_id+'&graph=status&range='+range;
	
}


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
var table
function initApTable(){
	
			if(table==null){
				table =	$('#ap_table').dataTable({
							"bScrollInfinite": true,
							"bScrollCollapse": true,
							"sScrollY": "80%",
							"bProcessing": true,
							"sAjaxSource": 'get_front_table.php',
							"bJQueryUI": true,
							"sPaginationType": "full_numbers",
							"bLengthChange": false,
							"bPaginate": false

				});
			
				
			}else{
				$('#ap_table').dataTable();

			}
			
			

}

function getTable(){
	new ajax('','get_table.php',function(result){
//										element('ap_body').innerHTML=result; 
										 });	
	
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
function getList() {
 
new ajax('post=1','fp_getList.php',function(result){
					document.getElementById("fp_ap_list").innerHTML = result;
					//element('map_ap_list').className='map_ap_list';
					});

}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////
function goingTo(){
	var index = element('fp_ap_lists').selectedIndex;
	setMapCenterToMarker(index);
	getInfo(index);
}

function setMapCenterToMarker(index){
	var latlng = point_markers[index].getPosition();
	 map.setCenter(latlng);
	//focus_ap(index);
}

function getDwList(){
	
new ajax('post=1','dw_list.php',function(result){
						element("dw_ap_list").innerHTML=result;
										 });
}

function getMtList(){
	
new ajax('post=1','mt_list.php',function(result){
						element("mt_ap_list").innerHTML=result;
										 });
}


function mt_goingTo(){
	var list = document.getElementById('mt_lists');
	var index1 = list.selectedIndex;
	var index2 = list.options[index1].value;
	var index=findIdIndex(index2);

	setMapCenterToMarker(index);
	getInfo(index);
}

function dw_goingTo(){
	var list = document.getElementById('dw_lists');
	var index1 = list.selectedIndex;
	var index2 = list.options[index1].value;
	var index=findIdIndex(index2);
	setMapCenterToMarker(index);
	getInfo(index);
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////
function checkStat(){
	
	getMtList();
	getDwList();
	new ajax('post=1','status.php',function(result){
			checkStat2(result);
											});
	
}



function checkStat2(raw){
	var part = raw.split(",");
  for (var i = 0; i < part.length; i++) {
 	var p = part[i].split(":::");
	var id = p[0];
	var stat = p[1];
	var index = findIdIndex(id);
	if(index>=0){
		if(stat=='LO'){
			point_markers[index].setIcon("./images/green.png");	
		}else if(stat=='HI'){
			point_markers[index].setIcon("./images/yellow.png");	
		}else if(stat=='DW'){
			point_markers[index].setIcon("./images/red.png");	
		}else if(stat=='MT'){
			point_markers[index].setIcon("./images/gray.png");
		}else if(stat=='VH'){
			point_markers[index].setIcon("./images/orange.png");
		}else if(stat=='FA'){
			point_markers[index].setIcon("./images/white.png");
		}
	}
 }
}



function getTopTen(input_order,input_sort){

	element('topten_tab').innerHTML='Loading ...';

				
	new ajax('order='+input_order+'&sort='+input_sort,'get_top10.php',function(result){
																			   element('topten_tab').innerHTML=result;
																			   
																			   })
	
}


///////////////////////////////////////////////////// summary //////////////////////////////////////////////////////////
function initSummary(){
	sgetTimeList();
	getSummaryList();
}


function sgetTimeList(){
var h='';
var m='';
var i;

	for(i=0;i<=23;i++){
	     h+='<option value="'+i+'">'+i+'</option>';
	}
	
	for(i=0;i<=59;i++){
	     m+='<option value="'+i+'">'+i+'</option>';
	}
var f_t_h = document.getElementById('sfromTimeListH');
var f_t_m = document.getElementById('sfromTimeListM');
var t_t_h = document.getElementById('stoTimeListH');
var t_t_m = document.getElementById('stoTimeListM');

f_t_h.innerHTML+='<select id="sf_t_h">'+h+'</select>';
f_t_m.innerHTML+='<select id="sf_t_m">'+m+'</select>';

t_t_h.innerHTML+='<select id="st_t_h">'+h+'</select>';
t_t_m.innerHTML+='<select id="st_t_m">'+m+'</select>';


}


function getSummaryList(){

				
				new ajax('post=1','summary_list.php',function(result){
													element("summary_ap_list").innerHTML = result;	  
														  
														  });
	
}

function scheckDate(){
	var fromDate=document.getElementById('sfromDate').value;
	var toDate=document.getElementById('stoDate').value;
	if(fromDate!='' && toDate!=''){
	var part = fromDate.split('/');
	fday=parseInt(part[0]);
	fmonth=parseInt(part[1]);
	fyear=parseInt(part[2]);
	//alert(fday+' '+fmonth+' '+fyear);
	var part = toDate.split('/');
	tday=parseInt(part[0]);
	tmonth=parseInt(part[1]);
	tyear=parseInt(part[2]);
	
	var check = 0;
	   //   alert(fyear+' year check '+tyear);
	if(fyear <= tyear){
	check=1;
	//alert(check);
	  if(fyear==tyear){
    //  alert(fmonth+' month check '+tmonth);
			if(fmonth<=tmonth){
			  check=1;
				  if(fmonth==tmonth){
					// alert(fday+' day check '+tday);
						if(fday<=tday){
						 check=1;
						}else{
						 check=0;
						}
				  }
			}else{
			  check=0;
			}
	  }
	}
	
	if(check==0){
	document.getElementById('sfromDate').value='';
	document.getElementById('stoDate').value='';
	
	}else{
		
	return true;	
	}
	//alert(check);

}
}


function scheckTime(){
	var fromDate=document.getElementById('sfromDate').value;
	var toDate=document.getElementById('stoDate').value;
	if(fromDate!='' && toDate!=''){
		var part = fromDate.split('/');
		fday=parseInt(part[0]);
		fmonth=parseInt(part[1]);
		fyear=parseInt(part[2]);
		
		var part = toDate.split('/');
		tday=parseInt(part[0]);
		tmonth=parseInt(part[1]);
		tyear=parseInt(part[2]);
		
		var check = 0;
		
		if(fyear == tyear){
			if(fmonth==tmonth){
				if(fday==tday){
				 check=1;
				}
			}
		
		}
		var ct=1;
		if(check==1){
		ct=0;
			var i1 = document.getElementById('sf_t_h').selectedIndex;
			var i2 = document.getElementById('sf_t_m').selectedIndex;
			var i3 = document.getElementById('st_t_h').selectedIndex;
			var i4 = document.getElementById('st_t_m').selectedIndex;
			var f_t_h =parseInt(document.getElementById('sf_t_h').options[i1].value);
			var f_t_m =parseInt(document.getElementById('sf_t_m').options[i2].value);
			var t_t_h =parseInt(document.getElementById('st_t_h').options[i3].value);
			var t_t_m =parseInt(document.getElementById('st_t_m').options[i4].value);

			if(f_t_h<=t_t_h){
			ct=1
				if(f_t_h==t_t_h){
					if(f_t_m<=t_t_m){
						ct=1;
					}else{
						ct=0;
					}
				}
			}
			if(ct==0){
			document.getElementById('sf_t_h').selectedIndex=0;
			document.getElementById('sf_t_m').selectedIndex=0;
			document.getElementById('st_t_h').selectedIndex=0;
			document.getElementById('st_t_m').selectedIndex=0;
			
			}
		}
		

	}
	
	//var index = document.getElementById('waiting_ap_list').options.length;
	if(ct==1){
		//genSummary();
		return true;
	}else{
		return false;	
	}

}

function genSummary(){

	if(scheckDate()&&scheckTime()&&(element('summary_ap_lists').selectedIndex!=0)){
	
	var fromDate=element('sfromDate').value;
	var toDate=element('stoDate').value;
		var part = fromDate.split('/');
		fday=parseInt(part[0]);
		fmonth=parseInt(part[1]);
		fyear=parseInt(part[2]);
		
		var part = toDate.split('/');
		tday=parseInt(part[0]);
		tmonth=parseInt(part[1]);
		tyear=parseInt(part[2]);

			var i1 = document.getElementById('sf_t_h').selectedIndex;
			var i2 = document.getElementById('sf_t_m').selectedIndex;
			var i3 = document.getElementById('st_t_h').selectedIndex;
			var i4 = document.getElementById('st_t_m').selectedIndex;
			var f_t_h =parseInt(document.getElementById('sf_t_h').options[i1].value);
			var f_t_m =parseInt(document.getElementById('sf_t_m').options[i2].value);
			var t_t_h =parseInt(document.getElementById('st_t_h').options[i3].value);
			var t_t_m =parseInt(document.getElementById('st_t_m').options[i4].value);
	 var data="fday="+fday+"&fmonth="+fmonth+"&fyear="+fyear;
 	 data+="&tday="+tday+"&tmonth="+tmonth+"&tyear="+tyear;
	 data+="&f_t_h="+f_t_h+"&f_t_m="+f_t_m;
	 data+="&t_t_h="+t_t_h+"&t_t_m="+t_t_m;
	// data+="&aid="+aid;

var period = document.getElementById('period');
var p;
if(period.checked){
	p=1;
	if(f_t_h>t_t_h){
		element('summary').innerHTML='Error. In specific time mode , begin hour can\'t be higher than end hour';
											element('summary_user').innerHTML="";
											element('summary_status').innerHTML="";	
											return;
	}
}else{
	p=0;
}

data+='&period='+p;
	a=selected(element('summary_ap_lists'));
	data+="&aid="+a;
	
	new ajax(data,'summary.php',function(result){
										 element('summary').innerHTML=result;
										 if(p==0){
										 	element('summary_user').innerHTML="<img src='render_summary_graph.php?"+data+"&graph=user' class='image'/>"; 
											element('summary_status').innerHTML="<img src='render_summary_graph.php?"+data+"&graph=status' class='image' />"; 
										 }else{
											element('summary_user').innerHTML="";
											element('summary_status').innerHTML="";
											 
										 }
										 });


	}else{
		element('summary').innerHTML='Error. can\'t generate statistic information.';
											element('summary_user').innerHTML="";
											element('summary_status').innerHTML="";		
	}
}

function selected(x){
	if(x!=null&&x.options.length>0){
	//	var index=x.selectedIndex;
	//	var y=x.options[index];
		return x.options[x.selectedIndex].value;
	}else{
		return;	
	}
}


function initTable(){
getTableList();	
	
}

function getTableList(){

		new ajax('','table_list.php',function(result){
											  
										element('table_list').innerHTML=result;	  
											  
											  });
}

function genTable(){
	var ap_id = selected(element('table_lists'));
	var date=element('status_date').value;
	if(ap_id!=0&&date!=''){
		var part = date.split('/');
		day=parseInt(part[0]);
		month=parseInt(part[1]);
		year=parseInt(part[2]);
	
		var data = 'day='+day+'&month='+month+'&year='+year+'&ap_id='+ap_id;
		new ajax(data,'get_table.php',function(result){
											element('status_ap_table').innerHTML=result;   
											   
											   });
	
	
	}
	
}

function changeZone(){
	
	var ajax2 = null;
	if(window.ActiveXObject){
		ajax2 = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else if(window.XMLHttpRequest){
		ajax2 = new XMLHttpRequest();
	}else{
		alert ("Your browser doesn't support Ajax");
	}	
  var url = "getChangeZone.php";
				ajax2.open("post",url);
				ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajax2.onreadystatechange = function(){
				if(ajax2.status == 200 && ajax2.readyState == 4){
					var result = ajax2.responseText;
						if(result!='no'){
						eval(result);
						setupChangeZone2();
						}
						
					}
				}
				ajax2.send(post=1);

	new ajax('','getChangeZone.php',function(result){
							if(result!='no'){
						eval(result);
						setupChangeZone2();
						}										 
											 });
	
}

function setupChangeZone(lat,lng,zoom){
	lats.push(lat);
	lngs.push(lng);
	zooms.push(zoom);
	
}

function setupChangeZone2(){
	maxzone=lats.length-1;
	
}

function roundUp(){
	if(monitor==1){
		lat = lats[zone];
		lng = lngs[zone];
		zoom = zooms[zone];
		map.setCenter(new google.maps.LatLng(lat,lng));
		map.setZoom(zoom);
		//map.setCenter(new GLatLng(lat,lng),zoom);
		zone++;
		if(zone>maxzone){
		zone=0;	
		}
	}
}

function setMonitor(mode){
	monitor = mode;
	
}

function showGraphModal(ap_id){
	new ajax('ap_id='+ap_id,'fp_graph.php',function(result){ 
		element('infoGraph').innerHTML=result; 
		$('#infoGraph').dialog({
			title : 'Graph for AP'+ap_id,
			modal : true,
			draggable: true,
			position: 'left top',
			width: 650,
			resizable: false
		});
	});
	
}

function zoomAP(lat,lng){
	map.setCenter(new google.maps.LatLng(lat,lng));
	map.setZoom(20);
}