<?php 
session_start();
if(isset($_SESSION['user_jumbomap'.session_id()])){
unset($_SESSION['user_jumbomap'.session_id()]);
}
session_destroy(); 	

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SARAN</title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">

<link rel="stylesheet" href="http://code.jquery.com/ui/1.9.2/themes/base/jquery-ui.css" />
<script src="http://code.jquery.com/jquery-1.8.3.js"></script>
<script src="http://code.jquery.com/ui/1.9.2/jquery-ui.js"></script>

<script type="text/javascript" src="./js/jquery.dataTables.js" charset="utf-8"></script>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?v=3&sensor=false&language=th"></script>
<script type="text/javascript" src="./js/front.js" charset="utf-8"></script>
<script type="text/javascript" src="./js/CryptoJS/rollups/sha1.js" charset="utf-8"></script>
<link rel="stylesheet" href="./css/front.css" type="text/css" />
</head>
<body>
<div id="dialog" title="log in" style="display:none;"></div>
<table id='main'>
<thead>
	<tr>
    <th colspan="2" class="header_main" style="z-index:10;">Access Point Monitoring System 
    <div id="login">
    <a style="float:right; padding-right: 5px;" href="#" onClick="login()">log in</a>
    </div>
    </th>
    </tr>
</thead>
<tbody>
  <tr>
    <td class='map_side'><div id='map_canvas' style="z-index:10;"></div></td>
    <td class='info_side'>
<div id="tabs">
	<ul>
		<li><a href="#status_tab">Status</a></li>
		<li><a href="#topten_tab" onClick="getTopTen('total','desc')">Top Ten</a></li>
        <li><a href="#stat_tab">Statistic</a></li>
        <li><a href="#table_tab">Status table</a></li>
	</ul>
	<div id="status_tab">
                  <table id="ap_status_table">
                  <tr>
                  <td class="banner">
                  <!-- put your banner here if you need. -->
                  </td>
                  </tr>
                  	<tr>
                    <td class='ap_header'>
                    Access Point
                    </td>
                    </tr>
                    <tr>
                      <td >
                        <div id="fp_ap_list"></div>
                        </td>
                    </tr>
                  	<tr>
                    <td class="dw_header">
                    Down AP
                    </td>
                    </tr>                    
                    <tr>
                      <td class="dw_area">
                        <div id="dw_ap_list"><div class="loading"></div></div>
                        </td>
                    </tr>
                  	<tr>
                    <td class="mt_header">
                    Maintainance AP
                    </td>
                    </tr>                    
                    <tr >
                      <td class="mt_area">
                        <div id="mt_ap_list"><div class="loading"></div></div>
                        </td>
                    </tr>
                    <tr align="center">
                    <td>
                    	<div id="radio" style="font-size:9px;">
                        Map display mode 
		<input type="radio" id="radio1" name="radio" checked="checked" onClick="setMonitor(0)"/><label for="radio1">Standard</label>
		<input type="radio" id="radio2" name="radio"  onClick="setMonitor(1)"/><label for="radio2">Monitor</label>
	</div>
                    </td>
                    </tr>
                  </table>
    </div>
	<div id="topten_tab"></div>
    <div id="stat_tab"><?php include 'statistic.php'; ?></div>
    <div id="table_tab"><?php include 'table.php'; ?></div>
    <div id="infoGraph" style="display:none"></div>
</div>

    </td>
  </tr>
</tbody>
</table>
</body>
</html>
