var mapz;
function createMapz() {
		mapz = new google.maps.Map(
		document.getElementById("map_zone"),{
			center: new google.maps.LatLng(18.80093685856388, 98.95261287689209),
			zoom: 16,
			mapTypeId : google.maps.MapTypeId.HYBRID
		}
	);
	setZonez();	  
	getZoneListz();
	
	var cen =  mapz.getCenter();
	var lat = cen.lat();
	var lng = cen.lng();
	document.getElementById("cur_lat").innerHTML=lat;
	document.getElementById("cur_lng").innerHTML=lng;
	document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
	
	google.maps.event.addListener(mapz, "center_changed", function(){
		var cen =  mapz.getCenter();
		var lat = cen.lat();
		var lng = cen.lng();
		document.getElementById("cur_lat").innerHTML=lat;
		document.getElementById("cur_lng").innerHTML=lng;
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
	});
	
	google.maps.event.addListener(mapz, "zoom_changed", function(){
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
	});

/*
  if (!GBrowserIsCompatible()) {
    alert('Your browser is not compatible with the Google Maps API');
    return;
  }

      if (GBrowserIsCompatible()) {
        mapz = new GMap2(document.getElementById("map_zone"));
        mapz.setCenter(new GLatLng(18.803414999034008, 98.95349264144897), 16);
		mapz.setMapType(G_HYBRID_MAP);
		mapz.addControl(new GLargeMapControl3D());
    	mapz.addControl(new GMapTypeControl());
		mapz.enableContinuousZoom();
		mapz.enableScrollWheelZoom();
		
		
		var cen =  mapz.getCenter();
		var lat = cen.lat();
		var lng = cen.lng();
		document.getElementById("cur_lat").innerHTML=lat;
		document.getElementById("cur_lng").innerHTML=lng;
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
		
		GEvent.addListener(mapz, "drag", function(){
		var cen =  mapz.getCenter();
		var lat = cen.lat();
		var lng = cen.lng();
		document.getElementById("cur_lat").innerHTML=lat;
		document.getElementById("cur_lng").innerHTML=lng;
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
		});


		GEvent.addListener(mapz, "zoomend", function(){
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
		});
		
		
		setZonez();
		//getMarkerz();
		getZoneListz();
		getFirstLocation();
	  }
*/
}


function initZone(){
	createMapz();	
	getFirstLocationz();
}

function getFirstLocationz(){
	new ajax('','get_first_locationz.php',function(result){
												  eval(result);  
												  });
	
}

function resizeMapz(){
	google.maps.event.trigger(mapz, 'resize');
//	mapz.checkResize();
	getFirstLocationz();
}

function createPointOnDBz(lat,lng,dap,index) {
	var cen = new GLatLng(lat,lng);
	var point_marker = createPointMarkerz(cen, false);
	mapz.addOverlay(point_marker);
}


function createPointMarkerz(point, highlighted) {
  var clr = highlighted ? "yellow" : "blue";

  var point_marker = createMarker(point, clr);
  point_marker.disableDragging();
  

  return point_marker;
}


function getMarkerz(){

 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "getPointerz.php";
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					//document.getElementById("debug").innerHTML = result;
					eval(result);
					}
				}
				ajaxs.send(null);
	
}

function centerMap() {
  var address = document.getElementById('txtAddress').value;

  if (address.length > 0) {
    var geocoder = new google.maps.Geocoder();

	geocoder.geocode({'address': address}, function(result,status){
		if (status != google.maps.GeocoderStatus.OK) {
			alert('Address "' + address + '" not found');
		}
		else{
			var location = result[0].geometry.location;
			mapz.setCenter(location);
			mapz.setZoom(16);
			var cen =  mapz.getCenter();
			var lat = cen.lat();
			var lng = cen.lng();
			document.getElementById("cur_lat").innerHTML=lat;
			document.getElementById("cur_lng").innerHTML=lng;
			document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
		}
	});
/*	
    geocoder.getLatLng(address,
      function(point) {
        if (!point) {
          alert('Address "' + address + '" not found');
        } else {
          mapz.setCenter(point, 16);
		var cen =  mapz.getCenter();
		var lat = cen.lat();
		var lng = cen.lng();
		document.getElementById("cur_lat").innerHTML=lat;
		document.getElementById("cur_lng").innerHTML=lng;
		document.getElementById("cur_zoom").innerHTML=mapz.getZoom();
        }
      });
*/	  
  }
}


var ztxtz;

function LocationControlz() {}
/*
LocationControlz.prototype = new GControl();

LocationControlz.prototype.initialize = function(mapz) {

  var container = document.createElement("div");

 eval(ztxtz);
  mapz.getContainer().appendChild(container);
  return container;
}

// By default, the control will appear in the top left corner of the
// map with 7 pixels of padding.
LocationControlz.prototype.getDefaultPosition = function() {
  return new GControlPosition(G_ANCHOR_BOTTOM_RIGHT , new GSize(7, 7));
}

// Sets the proper CSS for the given button element.
LocationControlz.prototype.setButtonStyle_ = function(button) {
  //button.style.textDecoration = "underline";
  button.style.color = "#000000";
  button.style.backgroundColor = "white";
  button.style.font = "small Arial";
  button.style.border = "1px solid black";
  button.style.padding = "2px";
  button.style.marginBottom = "3px";
  button.style.textAlign = "center";
  button.style.width = "6em";
  button.style.cursor = "pointer";
}

*/
function setZonez(){
	
	var ajax2 = null;
	if(window.ActiveXObject){
		ajax2 = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else if(window.XMLHttpRequest){
		ajax2 = new XMLHttpRequest();
	}else{
		alert ("Your browser doesn't support Ajax");
	}	
	

  var url = "zonez.php";
				ajax2.open("post",url);
				ajax2.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajax2.onreadystatechange = function(){
				if(ajax2.readyState == 4 && ajax2.status == 200){
					var result = ajax2.responseText;
					//document.getElementById("debug").innerHTML = result;
					var homeControlDiv = document.createElement('DIV');
				 	mapz.controls[google.maps.ControlPosition.RIGHT_BOTTOM].pop();
					eval(result);
					homeControlDiv.index = 1;  
					mapz.controls[google.maps.ControlPosition.RIGHT_BOTTOM].push(homeControlDiv);
//					ztxtz = result;
//					mapz.addControl(new LocationControlz());
					}
				}
				ajax2.send(null);
}

function removeZonez(){
	
	 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "removeZone.php";
 var zone = document.getElementById("zone_list").selectedIndex;
 var zone_id = document.getElementById("zone_list").options[zone].value;
 var data = 'zone='+zone_id;
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					setZonez();
					cancelNewZone();
					getZoneListz();
//					createMapz();
					//createMap();
					}
				}
				ajaxs.send(data);
	

}


function getZoneListz(){

 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "zoneListz.php";
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					document.getElementById("zone_name_list").innerHTML = result;
					element('zone_list').className='zone_list';		
					getZoneInfo();
					}
				}
				ajaxs.send(null);
	
}

function getZoneInfo(){
	 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "zoneInfo.php";
 var zone = document.getElementById("zone_list").selectedIndex;
 var zone_id = document.getElementById("zone_list").options[zone].value;
 var data = 'zone='+zone_id;
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					eval(result);
					}
				}
				ajaxs.send(data);
	
}

function getZoneInfoMap(id){
	
	new ajax('zone='+id,'zoneInfo.php',function(result){
							eval(result);
							});
}


function setZoneInfo(lat,lng,zoom){
	document.getElementById("zone_lat").innerHTML= lat;
	document.getElementById("zone_lng").innerHTML= lng;
	document.getElementById("zone_zoom").innerHTML= zoom;
	mapz.setCenter(new google.maps.LatLng(lat, lng));
	mapz.setZoom(zoom);
	
}


function saveZone(){
	var lat = document.getElementById("cur_lat").innerHTML;
	var lng = document.getElementById("cur_lng").innerHTML;
	var zoom = document.getElementById("cur_zoom").innerHTML;
 	var zone = document.getElementById("zone_list").selectedIndex;
    var zone_id = document.getElementById("zone_list").options[zone].value;
	
	 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "saveZone.php";
 var data = 'zone_id='+zone_id+'&lat='+lat+'&lng='+lng+'&zoom='+zoom;
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					//document.getElementById("debug").innerHTML = result;
					setZonez();
					getZoneInfo();
					}
				}
				ajaxs.send(data);
	
}

function saveNewZone(){
	 document.getElementById("cur_label").innerHTML='Zone name : ';
	 document.getElementById("cur_name").innerHTML='<input id="input_zone_name" type="text"/>';
	 document.getElementById("save_zone_button").innerHTML='';
	 document.getElementById("new_zone_button").innerHTML='<input type="button" onClick="submit_saveNewZone()" value="save"/>';
	 document.getElementById("new_zone_button").innerHTML+='<input type="button" onClick="cancelNewZone()" value="cancel"/>';
}

function cancelNewZone(){
	 document.getElementById("cur_label").innerHTML='';
	 document.getElementById("cur_name").innerHTML='';
	 document.getElementById("save_zone_button").innerHTML='<input type="button" onClick="saveZone()" value="apply this location"/>';
	 document.getElementById("new_zone_button").innerHTML='<input type="button" onClick="saveNewZone()" value="Save This location as New zone"/>';
}


function submit_saveNewZone(){
	var lat = document.getElementById("cur_lat").innerHTML;
	var lng = document.getElementById("cur_lng").innerHTML;
	var zoom = document.getElementById("cur_zoom").innerHTML;
	var name = encodeURI(document.getElementById("input_zone_name").value);
	 var ajaxs = null;

if(window.ActiveXObject){
ajaxs = new ActiveXObject("Microsoft.XMLHTTP");
}
else if(window.XMLHttpRequest){
ajaxs = new XMLHttpRequest();
}else{
alert ("Your browser doesn't support Ajax");
}
 var url = "saveNewZone.php";
 var data = '&lat='+lat+'&lng='+lng+'&zoom='+zoom+'&name='+name;
				ajaxs.open("post",url);
				ajaxs.setRequestHeader("Content-Type","application/x-www-form-urlencoded");	
				ajaxs.onreadystatechange = function(){
				if(ajaxs.readyState == 4 && ajaxs.status == 200){
					var result = ajaxs.responseText;
					//document.getElementById("debug").innerHTML = result;					
//					createMapz();
					setZonez();
					cancelNewZone();
					getZoneListz();
					}
				}
				ajaxs.send(data);
	
}